List a user's API keys
GET
/v1/user/{user}/apikeys
const url = 'https://example.com/v1/user/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/apikeys';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/user/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/apikeys \ --header 'Authorization: Bearer <token>'Lists the user’s API-key credentials (secrets stripped). A user may list their own keys; acting on another user requires user:credential:read on their owner scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user
required
string format: uuid
Target user UUID (use your own, from GET /v1/me, to manage your keys).
Responses
Section titled “Responses”OK
Media typeapplication/json
object
api_keys
required
Array<object>
A key summary; the secret is never included.
object
credential_id
required
string
label
string
disabled
required
boolean
created
string format: date-time
last_used
string format: date-time
expiry
string format: date-time
Examplegenerated
{ "api_keys": [ { "credential_id": "example", "label": "example", "disabled": true, "created": "2026-04-15T12:00:00Z", "last_used": "2026-04-15T12:00:00Z", "expiry": "2026-04-15T12:00:00Z" } ]}default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}